// From https://github.com/goburrow/netforward
package netforward

import (
	"net"
)

// Dialer dials to a remote address.
type Dialer interface {
	Dial() (net.Conn, error)
}

func IsPacketNetwork(network string) bool {
	switch network {
	case "udp", "udp4", "udp6", "ip", "ip4", "ip6", "unixgram":
		return true
	default:
		return false
	}
}
